﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\ 
for details on configuring this project to bundle and minify static web assets. */
body {
    padding-top: 0px;
    padding-bottom: 0px;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

.hidden {
    display: none !important;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}


/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }

}

@media screen and (max-width: 1179px) {
    .navbar-right .btn {
        margin-top: -35px;
    }
}

/*Highlight thead rows input data tables*/
.separator {
    padding-left: 5px;
    padding-right: 5px;
}

.auditHeader {
    background-color: #224abe;
    color: #ffffff;
}

#example tbody tr:hover {
    background-color: #e8f3ff;
}

#example .even {
    background-color: #ffffff
}

#example .odd {
    background-color: #ffffff
}

#example0 tbody tr:hover {
    background-color: #e8f3ff;
}

#example0 .even {
    background-color: #ffffff
}

#example0 .odd {
    background-color: #ffffff
}

#example1 tbody tr:hover {
    background-color: #e8f3ff;
}

#example1 .even {
    background-color: #ffffff
}

#example1 .odd {
    background-color: #ffffff
}

#example2 tbody tr:hover {
    background-color: #e8f3ff;
}

#example2 .even {
    background-color: #ffffff;
}

#example2 .odd {
    background-color: #ffffff;
}

#example3 tbody tr:hover {
    background-color: #e8f3ff;
}

#example3 .even {
    background-color: #ffffff;
}

#example3 .odd {
    background-color: #ffffff;
}

#example4 tbody tr:hover {
    background-color: #e8f3ff;
}

#example4 .even {
    background-color: #ffffff;
}

#example4 .odd {
    background-color: #ffffff;
}

#example5 tbody tr:hover {
    background-color: #e8f3ff;
}

#example5 .even {
    background-color: #ffffff;
}

#example5 .odd {
    background-color: #ffffff;
}

#example6 tbody tr:hover {
    background-color: #e8f3ff;
}

#example6 .even {
    background-color: #ffffff;
}

#example6 .odd {
    background-color: #ffffff;
}
#example7 tbody tr:hover {
    background-color: #e8f3ff;
}

#example7 .even {
    background-color: #ffffff;
}

#example7 .odd {
    background-color: #ffffff;
}

#example8 tbody tr:hover {
    background-color: #e8f3ff;
}

#example8 .even {
    background-color: #ffffff;
}

#example8 .odd {
    background-color: #ffffff;
}
#example9 tbody tr:hover {
    background-color: #e8f3ff;
}

#example9 .even {
    background-color: #ffffff;
}

#example9 .odd {
    background-color: #ffffff;
}

#example10 tbody tr:hover {
    background-color: #e8f3ff;
}

#example10 .even {
    background-color: #ffffff;
}

#example10 .odd {
    background-color: #ffffff;
}

#example11 tbody tr:hover {
    background-color: #e8f3ff;
}

#example11 .even {
    background-color: #ffffff;
}

#example11 .odd {
    background-color: #ffffff;
}

#example12 tbody tr:hover {
    background-color: #e8f3ff;
}

#example12 .even {
    background-color: #ffffff;
}

#example12 .odd {
    background-color: #ffffff;
}

#example13 tbody tr:hover {
    background-color: #e8f3ff;
}

#example13 .even {
    background-color: #ffffff;
}

#example13 .odd {
    background-color: #ffffff;
}

#example14 tbody tr:hover {
    background-color: #e8f3ff;
}

#example14 .even {
    background-color: #ffffff;
}

#example14 .odd {
    background-color: #ffffff;
}

#example15 tbody tr:hover {
    background-color: #e8f3ff;
}

#example15 .even {
    background-color: #ffffff;
}

#example15 .odd {
    background-color: #ffffff;
}

#example16 tbody tr:hover {
    background-color: #e8f3ff;
}

#example16 .even {
    background-color: #ffffff;
}

#example16 .odd {
    background-color: #ffffff;
}

#example17 tbody tr:hover {
    background-color: #e8f3ff;
}

#example17 .even {
    background-color: #ffffff;
}

#example17 .odd {
    background-color: #ffffff;
}

#example18 tbody tr:hover {
    background-color: #e8f3ff;
}

#example18 .even {
    background-color: #ffffff;
}

#example18 .odd {
    background-color: #ffffff;
}

.datatabRedd {
    background-color: #cce6d2 !important;
    /*border-color: #cf5c13 !important;*/
    /*background-color: #ffffff !important;*/
    /*border: 3px solid #cf5c13 !important;*/
}
.badge {
    font-size: 100% !important;
}

.easy-autocomplete-container {
    top: 35px;
}

.tabWrapper{
    padding: 5px 2px 7px 1px;
}

#rcButtonArea .btn {
    color: #ffffff !important;
}


.c-heading-display {
    background-color: #eaecf4;
    padding-left: 5px;
    margin-left: -4px;
    height: 32px;
    line-height: 32px;
}
.c-value-display {
    font-weight:600;
    color: #5a5c69;
}
.c-heading-display-report {
    background-color: #eaecf4;
    padding-left: 10px;
    height: 32px;
    line-height: 32px;
    font-weight: bold;
    margin-top: 10px;
    text-align: left;
    text-decoration: underline;
}

.c-sub-heading-display-report {
    padding-left: 10px;
}

/*this fixes the issue with autocomplete and modal windows*/
.ui-autocomplete {
    position: absolute;
    z-index: 9999999 !important;
    cursor: default;
    padding: 0;
    margin-top: 2px;
    list-style: none;
    background-color: #ffffff;
    border: 1px solid #ccc -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.ui-autocomplete > li {
    padding: 3px 20px;
}

.ui-autocomplete > li.ui-state-focus {
    background-color: #DDD;
}

.ui-helper-hidden-accessible {
    display: none;
}

.required-label { 
    color: red !important;
}

.alert-info-small-pad {
    padding-right: 30px !important;
}


thead input {
    width: 90px;
    border-radius: 4px;
    margin-left: 0.5em;
    border: solid 1px rgb(209, 211, 226);
    padding: 4px 8px 4px 8px;
    font-family: "Nunito";
    font-size: 14px;
    font-stretch: 100%;
    font-weight: 400;
    height: 31px;
    line-height: 21px;
    color: rgb(110, 112, 126);
}

/*th, td {
    white-space: nowrap;
}

div.dataTables_wrapper {
    margin: 0 auto;
}

tr {
    height: 30px !important;
}*/


/* Authorization report stuff */


/*Custom Radio Button*/

/* Customize the label (the container) */
.containerR {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 18px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default checkbox */
.containerR input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
}

/* On mouse-over, add a grey background color */
.containerR:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.containerR input:checked ~ .checkmark {
    background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.containerR input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.containerR .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/* this is for the leftblock for showing vertical text in a block */
.overflowCol {
    overflow-wrap: break-word !important;
}

/*overwrite some sb-2-admin fonts and stuff*/
.fontURL{
    color: #FFFFFF !important;
}

/* wkhtmltopdf */
.keep-together {
    page-break-inside: avoid;
}

.break-before {
    page-break-before: always;
}

.break-after {
    page-break-after: always;
}

.hr-prescription {
    font-size: xx-large;
    height: 2px;
    border-width: 0;
    color: black;
    background-color: black;
}


td.dt-control::before {
    content: '➕';
    cursor: pointer;
}

tr.shown td.dt-control::before {
    content: '➖';
}

td.sub-detail-control::before {
    content: '➕';
    cursor: pointer;
}

tr.shown td.sub-detail-control::before {
    content: '➖';
}


.table-sm th, .table-sm td {
    padding: 0.3rem;
}


.accordion {
    --ct-accordion-color: var(--ct-body-color);
    --ct-accordion-bg: transparent;
    --ct-accordion-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, border-radius 0.15s ease;
    --ct-accordion-border-color: var(--ct-gray-300);
    --ct-accordion-border-width: 1px;
    --ct-accordion-border-radius: 0.25rem;
    --ct-accordion-inner-border-radius: calc(0.25rem - 1px);
    --ct-accordion-btn-padding-x: 1.25rem;
    --ct-accordion-btn-padding-y: 1rem;
    --ct-accordion-btn-color: var(--ct-body-color);
    --ct-accordion-btn-bg: var(--ct-accordion-bg);
    --ct-accordion-btn-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%235e6e82'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
    --ct-accordion-btn-icon-width: 0.75rem;
    --ct-accordion-btn-icon-transform: rotate(180deg);
    --ct-accordion-btn-icon-transition: transform 0.2s ease-in-out;
    --ct-accordion-btn-active-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%235e6e82'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
    --ct-accordion-btn-focus-border-color: var(--ct-border-color);
    --ct-accordion-btn-focus-box-shadow: inset 0 -1px 0 var(--ct-gray-300) 0 0 0 0.15rem rgba(44, 142, 248, 0.25);
    --ct-accordion-body-padding-x: 1.25rem;
    --ct-accordion-body-padding-y: 1rem;
    --ct-accordion-active-color: #2c8ef8;
    --ct-accordion-active-bg: rgba(44, 142, 248, 0.1);
}

.accordion-button {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 100%;
    padding: var(--ct-accordion-btn-padding-y) var(--ct-accordion-btn-padding-x);
    font-size: 0.9rem;
    color: var(--ct-accordion-btn-color);
    text-align: left;
    background-color: var(--ct-accordion-btn-bg);
    border: 0;
    border-radius: 0;
    overflow-anchor: none;
    -webkit-transition: var(--ct-accordion-transition);
    transition: var(--ct-accordion-transition);
}

@media (prefers-reduced-motion: reduce) {
    .accordion-button {
        -webkit-transition: none;
        transition: none;
    }
}

.accordion-button:not(.collapsed) {
    color: var(--ct-accordion-active-color);
    background-color: var(--ct-accordion-active-bg);
    -webkit-box-shadow: inset 0 calc(-1 * var(--ct-accordion-border-width)) 0 var(--ct-accordion-border-color);
    box-shadow: inset 0 calc(-1 * var(--ct-accordion-border-width)) 0 var(--ct-accordion-border-color);
}

    .accordion-button:not(.collapsed)::after {
        background-image: var(--ct-accordion-btn-active-icon);
        -webkit-transform: var(--ct-accordion-btn-icon-transform);
        transform: var(--ct-accordion-btn-icon-transform);
    }

.accordion-button::after {
    -ms-flex-negative: 0;
    flex-shrink: 0;
    width: var(--ct-accordion-btn-icon-width);
    height: var(--ct-accordion-btn-icon-width);
    margin-left: auto;
    content: "";
    background-image: var(--ct-accordion-btn-icon);
    background-repeat: no-repeat;
    background-size: var(--ct-accordion-btn-icon-width);
    -webkit-transition: var(--ct-accordion-btn-icon-transition);
    transition: var(--ct-accordion-btn-icon-transition);
}

@media (prefers-reduced-motion: reduce) {
    .accordion-button::after {
        -webkit-transition: none;
        transition: none;
    }
}

.accordion-button:hover {
    z-index: 2;
}

.accordion-button:focus {
    z-index: 3;
    border-color: var(--ct-accordion-btn-focus-border-color);
    outline: 0;
    -webkit-box-shadow: var(--ct-accordion-btn-focus-box-shadow);
    box-shadow: var(--ct-accordion-btn-focus-box-shadow);
}

.accordion-header {
    margin-bottom: 0;
}

.accordion-item {
    color: var(--ct-accordion-color);
    background-color: var(--ct-accordion-bg);
    border: var(--ct-accordion-border-width) solid var(--ct-accordion-border-color);
}

    .accordion-item:first-of-type {
        border-top-left-radius: var(--ct-accordion-border-radius);
        border-top-right-radius: var(--ct-accordion-border-radius);
    }

        .accordion-item:first-of-type .accordion-button {
            border-top-left-radius: var(--ct-accordion-inner-border-radius);
            border-top-right-radius: var(--ct-accordion-inner-border-radius);
        }

    .accordion-item:not(:first-of-type) {
        border-top: 0;
    }

    .accordion-item:last-of-type {
        border-bottom-right-radius: var(--ct-accordion-border-radius);
        border-bottom-left-radius: var(--ct-accordion-border-radius);
    }

        .accordion-item:last-of-type .accordion-button.collapsed {
            border-bottom-right-radius: var(--ct-accordion-inner-border-radius);
            border-bottom-left-radius: var(--ct-accordion-inner-border-radius);
        }

        .accordion-item:last-of-type .accordion-collapse {
            border-bottom-right-radius: var(--ct-accordion-border-radius);
            border-bottom-left-radius: var(--ct-accordion-border-radius);
        }

.accordion-body {
    padding: var(--ct-accordion-body-padding-y) var(--ct-accordion-body-padding-x);
}

.accordion-flush .accordion-collapse {
    border-width: 0;
}

.accordion-flush .accordion-item {
    border-right: 0;
    border-left: 0;
    border-radius: 0;
}

    .accordion-flush .accordion-item:first-child {
        border-top: 0;
    }

    .accordion-flush .accordion-item:last-child {
        border-bottom: 0;
    }

    .accordion-flush .accordion-item .accordion-button, .accordion-flush .accordion-item .accordion-button.collapsed {
        border-radius: 0;
    }



.accordion > .card {
    overflow: hidden;
}

    .accordion > .card:not(:last-of-type) {
        border-bottom: 0;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    .accordion > .card:not(:first-of-type) {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

    .accordion > .card > .card-header {
        border-radius: 0;
        margin-bottom: -1px;
    }


.accordion-header {
    margin: 0;
}

.custom-accordion .card {
    
    box-shadow: none;
}

.max-width-column {
    max-width: 150px !important; /* Adjust this value as needed */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.max-width-column-icon {
    max-width: 50px !important; /* Adjust this value as needed */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


/* Absolute Center Spinner */
.loading {
    position: fixed;
    z-index: 9999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

    /* Transparent Overlay */
    .loading:before {
        content: '';
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0, .8));
        background: -webkit-radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0,.8));
    }

    /* :not(:required) hides these rules from IE9 and below */
    .loading:not(:required) {
        /* hide "loading..." text */
        font: 0/0 a;
        color: transparent;
        text-shadow: none;
        background-color: transparent;
        border: 0;
    }

        .loading:not(:required):after {
            content: '';
            display: block;
            font-size: 10px;
            width: 1em;
            height: 1em;
            margin-top: -0.5em;
            -webkit-animation: spinner 150ms infinite linear;
            -moz-animation: spinner 150ms infinite linear;
            -ms-animation: spinner 150ms infinite linear;
            -o-animation: spinner 150ms infinite linear;
            animation: spinner 150ms infinite linear;
            border-radius: 0.5em;
            -webkit-box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
            box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
        }

/* Animation */

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}











